using IRaCIS.Core.Application.Service.Reading.Dto;

namespace IRaCIS.Core.Application.Service.Reading.Interface
{
    public interface IClinicalAnswerService
    {
        Task<IResponseOutput> CRCSignClinicalData(CRCSignClinicalDataInDto inDto);


        Task DeleteStudyClinical(DeleteStudyClinicalInDto inDto);

        Task AddStudyClinical(AddStudyClinicalInDto inDto);


        Task AutoAddCRCClinical(AutoAddClinicalInDto inDto);

        Task<IResponseOutput> PMConfirmClinical(CRCConfirmClinicalInDto inDto);

        Task<IResponseOutput> SubmitClinicalForm(SubmitClinicalFormInDto inDto);

        Task<IResponseOutput> CRCConfirmClinical(CRCConfirmClinicalInDto inDto);

        Task<IResponseOutput> CRCCancelConfirmClinical(CRCCancelConfirmClinicalInDto inDto);

        Task<PageOutput<GetCRCConfirmListOutDto>> GetCRCConfirmList(GetCRCConfirmListInDto inDto);

    }
}
